import { getEnterpriseRecaptcha } from "./utils.mjs";
import { unheadScriptLoader } from "./script-manager/unhead.mjs";
import { createPlugin } from "./plugin.mjs";
import { defineNuxtPlugin, useRuntimeConfig } from "#imports";
export default defineNuxtPlugin(({ vueApp }) => {
  const {
    public: { recaptcha }
  } = useRuntimeConfig();
  vueApp.use(
    createPlugin([
      {
        scriptLoader: unheadScriptLoader,
        getRecaptcha: getEnterpriseRecaptcha
      }
    ]),
    recaptcha
  );
});
